Interface SimpleNotificationEndpointBuilderFactory.SimpleNotificationBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
SimpleNotificationEndpointBuilderFactory
public static interface SimpleNotificationEndpointBuilderFactory.SimpleNotificationBuilders
-
Method Summary
Modifier and TypeMethodDescriptionhwcloudSmn(String path) Huawei Simple Message Notification (SMN) (camel-huaweicloud-smn) To broadcast messages and connect cloud services through notifications on Huawei Cloud Category: cloud,messaging Since: 3.8 Maven coordinates: org.apache.camel:camel-huaweicloud-smn Syntax:hwcloud-smn:smnServicePath parameter: smnService (required) Name of SMN service to invokehwcloudSmn(String componentName, String path) Huawei Simple Message Notification (SMN) (camel-huaweicloud-smn) To broadcast messages and connect cloud services through notifications on Huawei Cloud Category: cloud,messaging Since: 3.8 Maven coordinates: org.apache.camel:camel-huaweicloud-smn Syntax:hwcloud-smn:smnServicePath parameter: smnService (required) Name of SMN service to invoke
-
Method Details
-
hwcloudSmn
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder hwcloudSmn(String path) Huawei Simple Message Notification (SMN) (camel-huaweicloud-smn) To broadcast messages and connect cloud services through notifications on Huawei Cloud Category: cloud,messaging Since: 3.8 Maven coordinates: org.apache.camel:camel-huaweicloud-smn Syntax:hwcloud-smn:smnServicePath parameter: smnService (required) Name of SMN service to invoke- Parameters:
path- smnService- Returns:
- the dsl builder
-
hwcloudSmn
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder hwcloudSmn(String componentName, String path) Huawei Simple Message Notification (SMN) (camel-huaweicloud-smn) To broadcast messages and connect cloud services through notifications on Huawei Cloud Category: cloud,messaging Since: 3.8 Maven coordinates: org.apache.camel:camel-huaweicloud-smn Syntax:hwcloud-smn:smnServicePath parameter: smnService (required) Name of SMN service to invoke- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- smnService- Returns:
- the dsl builder
-